#!/bin/bash
cat /proc/mtd

mkdir -p backup
dd if=/dev/mtd0ro of=backup/uboot_env.bin
dd if=/dev/mtd1ro of=backup/uboot_backup.bin

ldd flash_erase
./flash_erase /dev/mtd1 0 96 # 96*4096= 393216

dd  if=mbl_uboot_0.2.5.bin of=/dev/mtd1
#double check that file update

dd if=/dev/mtd1ro of=backup/uboot_was_updated.bin
md5sum mbl_uboot_0.2.5.bin > backup/md5.txt
md5sum backup/uboot_was_updated.bin >> backup/md5.txt

md5sum backup/uboot_backup.bin >> backup/md5.txt
md5sum mbl_uboot_0.2.3.bin >> backup/md5.txt

